Bug 476345 - gdb complains that libungif debug has no debuginfo
gdb complains that libungif debug has no debuginfo
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: giflib (Show other bugs)
10
i686 Linux
low Severity low
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-13 05:28 EST by David Timms
Modified: 2009-05-09 17:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-09 17:21:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Timms 2008-12-13 05:28:01 EST
Description of problem:
While testing mplayer within gdb noticed the above.

Version-Release number of selected component (if applicable):
rpm -qf /usr/lib/debug/usr/lib/libungif.so.4.1.3.debug 
giflib-debuginfo-4.1.3-9.i386

How reproducible:
yes.

Steps to Reproduce:
1. debuginfo-install mplayer
2. gdb mplayer
3. r filename.mp3
  
Actual results:
$ gdb mplayer
GNU gdb Fedora (6.8-29.fc10)
...
(no debugging symbols found)
(gdb) r 032.george.a.m4a
Starting program: /usr/bin/mplayer 032.george.a.m4a
[Thread debugging using libthread_db enabled]
--
warning: "/usr/lib/debug/usr/lib/libungif.so.4.1.3.debug": The separate debug info file has no debug info
--
[New Thread 0xb8065700 (LWP 15016)]
...

Expected results:
debuginfo to be available for ungif.

Additional info: I have no idea whether gdb is mistaken although the .debug file is small in comparison:
$ ls -l /usr/lib/debug/usr/lib/lib*gif*
-rwxr-xr-x 1 root root 65432 2008-02-20 23:24 /usr/lib/debug/usr/lib/libgif.so.4.1.3.debug
lrwxrwxrwx 1 root root    21 2008-12-11 06:53 /usr/lib/debug/usr/lib/libgif.so.4.debug -> libgif.so.4.1.3.debug
lrwxrwxrwx 1 root root    21 2008-12-11 06:53 /usr/lib/debug/usr/lib/libgif.so.debug -> libgif.so.4.1.3.debug
--
-rwxr-xr-x 1 root root  2844 2008-02-20 23:24 /usr/lib/debug/usr/lib/libungif.so.4.1.3.debug
--
lrwxrwxrwx 1 root root    23 2008-12-11 06:53 /usr/lib/debug/usr/lib/libungif.so.4.debug -> libungif.so.4.1.3.debug
lrwxrwxrwx 1 root root    23 2008-12-11 06:53 /usr/lib/debug/usr/lib/libungif.so.debug -> libungif.so.4.1.3.debug
Comment 1 Fedora Admin XMLRPC Client 2009-05-09 14:22:56 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Robert Scheck 2009-05-09 17:21:10 EDT
David, thanks for your report. The overall problem is, that mplayer links
against an obsolete library (libungif) which is only held for compatibility 
reasons rather the correct one (libgif). As mplayer is not part of Fedora,
please advise the third party repository where you're using mplayer from to
add a patch, that mplayer only links against libgif in the future. Thanks.

Note You need to log in before you can comment on or make changes to this bug.